- Conversion

Global statements
Copying

Hide version changes

# Conversion

Conversion is allowed with the product XposeXplay and the option Multimedia only.

The statement

    start convert [noGui] [onSignal] [ownColormap] [traceState]

begins a specifically configured playback on an X Window server and the simultaneous conversion of the displayed image data into a video format immediately without displaying the graphical user interface.

With noGui the dialog box does never appear, in the event of a termination condition (Start and termination) the program terminates. Otherwise the graphical user interface is displayed (Conversion). The parameter onSignal configures control by signals (Control by signals). The parameter ownColormap lets xposextool use its own colormap for its user interface.The parameter traceState lets the program xposextool print state changes on the standard output stream (Printing state changes).

The statement

    convertValues convertSettings

introduces sub-statements, which specify conversion parameters.

## Source

### Recorded files

The sub-statement

        from fromFile|fromFiles {file_name|-|file_name_pattern}...

specifies the recording file(s) to be replayed, - stands for the standard input stream, ~ for the home directory (default: record.pose).

The pattern elements of the file_name_pattern resemble the regular expressions of UNIX shells. These are not the patterns used for the recording parameters. If there are multiple files, they are concatenated for playback.

The sub-statement

        sortFiles on|off

determines whether the recording files should be sorted according to the real time and checked for consistency or not (by default).

### Screen

The sub-statement

        screen|screens recordedDisplay|recordedDisplays all|{[+]screen_number}{[+|-]display_name}

determines one single (meta) screen to be replayed. If display_name contains a screen number, only the specified screen is displayed, otherwise the first recorded screen of the X Window proxy is displayed. By default the first recorded screen is displayed.

This sub-statement includes sub-sub-statements, which further specify playback and conversion.

## Destination

The sub-sub-statement

            to toDisplay display_name

defines one single screen of one X Window server to be used for playback. The value of the environment variable $DISPLAY is taken by default.

The X Window server may differ from the server used during recording with regard to vendor and capabilities. However, it may happen, that the playback is impossible, for instance due to lack of color models (visuals). In order to make playback on different servers possible, the XmetaX and XposeXrecord proxies allow to restrict such capabilities (Common resources and capabilities).

The option VisEmu emulates PseudoColor visuals of depths 4 and 8 on a 24 bits deep TrueColor visual. Thus it is possible to playback a recording made on older graphics systems of lower depths on modern hardware often supporting 24 bits depth only.

This sub-sub-statement includes sub-sub-sub-statements, which further specify playback and conversion.

### Connection

The sub-sub-sub-statement

                connectTimeout timeout

determines the period of time (Points of time and periods of time), within which the xposextool program tries to connect to the X Window server used for playback. If the connection cannot be established within the timeout (20 seconds by default), the playback is not started.

The sub-sub-sub-statement

                offlineTimeout timeout

determines the period of time (Points of time and periods of time), within which the X Window server has to honor X11 requests, before it is regarded as broken. The default value of 0 seconds disables this check.

### Displaying

The sub-sub-sub-statement

     displayMode fullscreen|window|iconic

further determines the playback destination:

With fullscreen (default) the playback is displayed filling the whole screen(s). Unoccupied areas up to the screen border are black.

With window the playback is displayed in an X11 window, which may be positioned and minimized using the window manager.

icon is like window, but the window is showed as icon initially.

The sub-sub-sub-statement

     suppressScreenSaver on|off

determines whether the screen saver should be disabled during playback (default) or not.

Every recording file contains the fonts used during the recording in form of bitmaps. For the potentially zoomed playback these bitmaps are scaled accordingly, which may yield an unattractive text display. The sub-sub-sub-statement

     serverFonts on|off

determines whether the most fitting fonts of the displaying X Window server or the bitmaps of the recording file (default) are used for text display.

The sub-sub-sub-statement

     pointerZoom factor

defines a factor for all pointer images of a screen. The smoothing algorithm works best with a power of two as factor. The default value is 1. Some X Window servers clip or even distort large cursor images.

The sub-sub-sub-statement

     gammaCorrection [red factor] [green factor] [blue factor]

changes the base colors of the playback according to the gamma function. The default value 1.0 for all parameters means no correction at all.

### Positions, dimensions and scaling

The sub-sub-sub-statements

                clipX horizontal_position_in_pixels
                clipY vertical_position_in_pixels
                clipWidth width_in_pixels
                clipHeight height_in_pixels
                clipGeometry widthxheight[+horizontal_position+vertical_position]

specify a rectangular clipped area of the screen to be replayed. The default value of 0 for all scalar parameters and 0x0+0+0 for clipGeometry, respectively, denote the whole screen.M

The sub-sub-sub-statements

                displayWidth width_in_pixels
                displayHeight height_in_pixels
                displayGeometry widthxheight

specify the rectangular area, in which the playback is displayed. Thus, width and height can be scaled independently. The default value of 0 for all scalar parameters and 0x0 for displayGeometry, respectively, denote unscaled display.

## Scope of the playback

The sub-sub-sub-statement

                type|types {all|none|{[+|-]output}|{[+|-]visible}|{[+|-]pointerImages}|{[+|-]bell}
                    |{[+|-]input}|{[+|-]buttonHits}|{[+|-]pointerMovements}|{[+|-]keyHits}
                    |{[+|-]buttonClick buttonClicks}|{[+|-]buttonFeedback}|{[+|-]keyClick keyClicks}}...

denotes a list (Lists) of (group of) types of data to be replayed from the specified screen (by default output, bell, and pointer pointerMovements are replayed):

output stands for all X11 requests with visible or audible effects:

visible comprises all drawing and window manipulating requests,

pointerImages stands for requests changing the image of the pointer,

bell denotes the audible bell signal.

input stands for all input events:

buttonHits denotes pointer clicks,

pointerMovements stands for the movements of the pointer device,

keyHits denotes keyboard input,

buttonClicks stands for the audible feedback of the mouse buttons,

with buttonFeedback for each click with one of the first three mouse buttons the mouse pointer briefly shows a symbol for the button pressed,

keyClicks stands for the audible feedback of the keyboard.

all stands for the complete X11 protocol traffic, including requests without any visible effects.

If only input events are specified, they are sent to the running session, as if they are actually input. Otherwise a window is opened (Destination) to display the output.

## Start and termination

The sub-statements

        startTime begin [+period_of_time]
        startTime start [+period_of_time]
        startTime end [-period_of_time]
        startTime point_of_time

determine the start time of the playback (default: begin for the beginning of the first file) (Points of time and periods of time).

The sub-statements

        stopTime begin [+period_of_time]
        stopTime start [+period_of_time]
        stopTime end [-period_of_time]
        stopTime point_of_time

determine the end time of the playback (default: end for the end of the last file) (Points of time and periods of time).

## Converted file

The sub-statement

        to toFile file_name|-

specifies the file to store the converted output, - stands for the standard output stream stdout, ~ for the home directory (default: record.extension converted.extensionwith an extension corresponding to the video format, like converted.mpeg1).

The sub-statement

        encoder "multimedia_specification"

specifies the multimedia operation which generates the video file. The default value is taken from the multimedia profiles file (usually FFMPEG).

The sub-statement

        format "multimedia_specification"

specifies the format of the converted file. The default value is taken from the multimedia profiles file (usually "MPEG-1 Video").

The sub-statement

        frameRate frames_per_second

specifies the frame rate of the converted video file. The default value is taken from the multimedia profiles file (usually 24).

The sub-statement

        imageQuality percentage

specifies the quality of the video conversion in percent (values near 100 yield low compression with high image quality), the default value is 60.

The sub-statement

        ringBellWhenFinished on|off

specifies whether the audible bell signal should ring after the conversion (default) or not.

top
Global statements
Copying

Copyright © 2016 X-Software GmbH
info@x-software.com
2013-02-28 08:07:20 +0100